# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest
import datetime

import dlcmapi_client
from dlcmapi_client.models.aip_info import AipInfo  # noqa: E501
from dlcmapi_client.rest import ApiException

class TestAipInfo(unittest.TestCase):
    """AipInfo unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional):
        """Test AipInfo
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # model = dlcmapi_client.models.aip_info.AipInfo()  # noqa: E501
        if include_optional :
            return AipInfo(
                access = '0', 
                access_currently_public = True, 
                compliance_level = '0', 
                contains_updated_metadata = True, 
                current_access = '0', 
                data_sensitivity = '0', 
                description = '0', 
                embargo = dlcmapi_client.models.aip_info_embargo.aip_info_embargo(
                    access = '0', 
                    months = 1.337, 
                    start_date = '0', ), 
                license_id = '0', 
                metadata_version = '0', 
                name = '0', 
                organizational_unit_id = '0', 
                status = '0', 
                status_message = '0'
            )
        else :
            return AipInfo(
        )

    def testAipInfo(self):
        """Test AipInfo"""
        inst_req_only = self.make_instance(include_optional=False)
        inst_req_and_optional = self.make_instance(include_optional=True)


if __name__ == '__main__':
    unittest.main()
